<?
  session_start();
  include("../../clases/BDConexion.php");
  include("../../clases/clsPer.php");
  include("../Funciones.php");
  include("../funcion/funciones.php");
  
  $objPer=new clsPer; 
  	$rs=$objPer->getDatosViaje($cod_ruta);
	$row=$objPer->NextRow($rs);  	
	//$existecod=$objPer->ExisteManifiesto($cod_man);
	$fecha_ruta=$fecha_ruta;
	
	if($_SESSION['pesototalper']==''){ $ptp=0; $ptpd=0;}elseif($_SESSION['pesototalper']!=''){ $ptp=$_SESSION['pesototalper']; $ptpd=$_SESSION['pesototalperdis'];}
	if($_SESSION['pesototalcarga']==''){ $ptc=0; $ptcd=0;}elseif($_SESSION['pesototalcarga']!=''){ $ptc=$_SESSION['pesototalcarga']; $ptcd=$_SESSION['pesototalcardis'];}
	$cod_ultimo=$objPer->registrarManifiestoViaje($cod_man,$cod_ruta,$fecha_ruta,$obser,$via,$row['tvcom'],$row['tvtec'],$repre,$respon,$ptp,$ptc,$ptpd,$ptcd,$row['tvhm'],$row['tvthm']); 
	
	/* $numelementos=count($pasajeros);
	$pasajeros_temp=$pasajeros;
	$ini=$pasajeros_temp[0][4];
	$fin=$pasajeros_temp[$numelementos-1][5]; */
	
	
	while(list($clave,$valor)=each($pasajeros)){  
		$dociden_per=$valor[1];
		$razon_emp=$valor[2];													
		$peso_per=$valor[3];																				
		$peso_eq=$valor[4];
		$tipo_mpass=$valor[5];											
		$ccosto=$valor[6];
		$origen=$valor[7];
		$destino=$valor[8];
		$distancia=$valor[9];
		$id=$valor[10];
		$numorigen=$valor[11];
		$numdestino=$valor[12];
		
		$rsu=$objPer->getLugarManRuta($valor[11],$valor[12],$cod_ruta);
		$rowu=$objPer->NextRow($rsu);
		
		if($id==''){
		$id=0;
		}else{
		$id=$valor[10];
		}
		$resultadoper=$objPer->getCodUltimoMpass($dociden_per);		
		$filaper=$objPer->NextRow($resultadoper);
		$codigo_mpass1=$filaper['codigo_mpass'];		
		$objPer->UpdateMPass($codigo_mpass1,$fecha_ruta);			
		
		$ultimoingre=$objPer->registrarManPassVD($cod_ultimo,$dociden_per,$fecha_ruta,$peso_per,$peso_eq,$tipo_mpass,$origen,$destino,$rowu['har'],$razon_emp,$ccosto,$distancia,$id,$numorigen,$numdestino,$testimado_ruta,$ini,$fin);
		if($tipo_mpass=='PASAJERO'){
		$objPer->registrarRutaTotal($cod_ruta,$origen,$destino,'P',$numorigen,$numdestino);
		}
		$objPer->UpdatePerCCostosPass($dociden_per,$tipo_mpass,$ccosto,$peso_per);
		if($tipo_mpass=='PASAJERO'){$origen=$origen;$destino=$destino;}elseif($tipo_mpass=='TRIPULANTE'){$origen=$ini;$destino=$fin;}
			if($via=='A'){				
			$objPer->registrarTareo($cod_ultimo,$dociden_per,$origen,$destino,$rowu['har'],$fecha_ruta,$numorigen,$numdestino,$testimado_ruta,$ultimoingre,$via,$razon_emp);
			}elseif($via=='F'){
			$objPer->registrarTareo($cod_ultimo,$dociden_per,$origen,'TRANSITO',$rowu['har'],$fecha_ruta,$numorigen,$numdestino,$testimado_ruta,$ultimoingre,$via,$razon_emp);
			}
		}
		while(list($clave1,$valor1)=each($cargac)){  
		$des_w=$valor1[0];
		$compania=$valor1[1];
		$guia_w=$valor1[2];											
		$ccosto_w=$valor1[3];																				
		$ttc=$valor1[4];
		$tipounidad=$valor1[5];											
		$cant_w=$valor1[6];
		$peso_w=$valor1[7];
		$origen_w=$valor1[8];
		$destino_w=$valor1[9];
		$distanciac=$valor1[10];
		$numorigen_w=$valor1[11];
		$numdestino_w=$valor1[12];
		$id_w=$valor1[13];
		
		$tipo_carga="CARGA";
			if($ttc=='Int'){
			$objPer->registrarManCargaVD($cod_ultimo,$fecha_ruta,$des_w,$guia_w,$peso_w,$cant_w,$tipo_carga,$origen_w,$destino_w,$compania,$tipounidad,$ccosto_w,$ttc,$peso_w,0,0,$distanciac,$numorigen_w,$numdestino_w,$id_w,$ini,$fin);
			
			$objPer->registrarRutaTotal($cod_ruta,$origen_w,$destino_w,'C',$numorigen_w,$numdestino_w);
			
			}elseif($ttc=='Ext'){
			$objPer->registrarManCargaVD($cod_ultimo,$fecha_ruta,$des_w,$guia_w,$peso_w,$cant_w,$tipo_carga,$origen_w,$destino_w,$compania,$tipounidad,$ccosto_w,$ttc,0,$peso_w,0,$distanciac,$numorigen_w,$numdestino_w,$id_w,$ini,$fin);
			
			$objPer->registrarRutaTotal($cod_ruta,$origen_w,$destino_w,'C',$numorigen,$numdestino);
			
			}
		}		
		$objPer->UpdateRutanoVer($cod_ruta);
		$objPer->registrarBitacora($_SESSION['usuarioId'],'Manifiesto',$cod_ruta."-".$cod_man,'Registrar Manifiesto',date("Y-m-d"),date("H:i"));		
		
		
		$rsh=$objPer->getHorasxDiaRutaCod1($cod_ruta,$fecha_ruta);
		$rowh=$objPer->NextRow($rsh);
		$rstdp=$objPer->pesototalpascar($cod_ruta,$fecha_ruta);
		$rowtdp=$objPer->NextRow($rstdp);
		$dispesot=$rowtdp['dispesototal'];
		if($rowh['tipohora']=='T'){$tipohora=$rowh['horastec'];}else{$tipohora=$rowh['horasvol'];}
		
		Redirigir("p_manifiesto_grabar_calcular.php?tipohora=$tipohora&dispesot=$dispesot&cod_ruta=$cod_ruta&fecha=$fecha_ruta");
		//echo "El manifiesto se grabo satisfactoriamente";
	/* }else{
		Redirigir("cvp_manifiesto_mensaje.php?cod_man=$cod_man&orig_ruta=$orig_ruta&dest_ruta=$dest_ruta&cod_ruta=$cod_ruta&fecha_man=$fecha_man&mat_trans=$mat_trans");
	}	 */
	
?>